# Whistl

[Whistl](https://www.whistl.co.uk) offers domestic and international shipping services for shipments originating in the UK, Jersey, and Georgia.

This guide provides developers with the details needed to build Whistl shipping capabilities into your ShipStation V2 API workflows.

## Requirements

| Property | Type | Required? | Description |
|  --- | --- | --- | --- |
| `nickname` | *string* | **required** | This is a nickname for you to identify the carrier account in ShipStation V2 API. |
| `password` | *string* | **required** | Your Whistl account password |
| `account` | *string* | **required** | Your Whistl account number |
| `department` | *string* | **required** | Your Whistle account department number |
| `tracking_api_key` | *string* | **required** | Your Whistle account tracking API key |


## Connect Account

You can connect a Whistl account using the POST method to the `/v2/connections/carriers/` endpoint, or via the ShipStation Dashboard.

### Connect via Dashboard

Log in to your ShipStation account and navigate to Settings > Carriers. Select Whistl from the list of available carriers and follow the prompts to connect your account.

### Connect via Endpoint

`carrier_code`: `whistl`

**POST /v2/connections/carriers/:carrier_code**

Sample request:


```http
POST /v2/connections/carriers/whistl HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "nickname": "My Whistl Account nickname",
  "password": "pa55word",
  "account": "1234567",
  "department": "89101112",
  "tracking_api_key": "your_tracking_api_key"
}
```

A successful connection will return a response with the `carrier_id`, which you'll use for any requests for this account going forward.

## Rates

Whistl does not send rates to ShipStation V2 API. Contact your Whistl account manager for details about your contracted rates.

## Service Details

Available Whistl services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [list carrier services](/apis/shipengine/docs/reference/list-carrier-services) endpoint at any time.

### Domestic Services

| Service | API Code |
|  --- | --- |
| Insight Large Letter | `whistl_insight_large_letter_domestic` |
| Insight Packet | `whistl_insight_packet_domestic` |


### International Services

| Service | API Code |
|  --- | --- |
| Insight Large Letter | `whistl_insight_large_letter_international` |
| Insight Packet | `whistl_insight_packet_international` |


### Return Services

Whistl does not support creating return labels.

### Packages

The following [carrier package types](/apis/shipengine/docs/shipping/carrier-packaging) are available for Whistl services:

| Name | API Code | Package Attributes |
|  --- | --- | --- |
| Parcel | `whistl_package` | Domestic, International |


### Adding Shipment Insurance

Whistl supports adding carrier insurance to your shipments. Review the [Parcel Insurance page](/apis/shipengine/docs/shipping/insurance) for details on adding shipment insurance with ShipStation V2 API.

## Label Support

* Label sizes: 4" x 6", 4" x 8"
* Label formats: PDF, PNG, ZPL


### Label Reference Fields

Whistl does not support adding [custom label messages](/apis/shipengine/docs/labels/messages).

### Multi-Package Labels

Whistl supports creating [multi-package shipments](/apis/shipengine/docs/shipping/multi-package).

### Label Branding

Whistl does not support [label branding](/apis/shipengine/docs/labels/branding).

### Voiding Labels

Whistl does not support [voiding labels](/apis/shipengine/docs/labels/voiding) with ShipStation V2 API.

### Paperless Labels

Whistl does not support [paperless labels](/apis/shipengine/docs/labels/paperless).

### Customs Declarations

Customs declarations are printed directly onto the label instead of a separate document to download.

> **NOTE: Action Required: New Zealand Border Levy Changes**
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged **per consignment**, not per item.
See the **Shipping to New Zealand: Low Value Goods (LVG) Levy** section in [International Shipments](/apis/shipengine/docs/shipping/international) for full details.


## Delivery Confirmation

| Confirmation Type | API Code | Description |
|  --- | --- | --- |
| No confirmation required | `none` | No confirmation required for delivery. |


See our [Delivery Confirmation page](/apis/shipengine/docs/shipping/delivery-confirmation) for more details about using the `confirmation` property.

## Advanced Options

Whistl does not currently support any [advanced options](/apis/shipengine/docs/carriers/advanced-options).

To ensure you always have the most up-to-date information about a carrier's advanced options, use the [list carrier options call](/apis/shipengine/docs/reference/list-carrier-options).

## Manifests

Whistle does not require [manifesting](/apis/shipengine/docs/shipping/manifests) your shipments.

## Scheduling Pickups

Whistl does not support [scheduling pickups](/apis/shipengine/docs/shipping/pickups) using ShipStation V2 API.

## Service Points (PUDO)

Whistl does not support shipping to [service points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro).

## Tracking

ShipStation V2 API's integration with Whistl supports receiving tracking updates. Review our ​[Track a Package guides​](/apis/shipengine/docs/tracking/tracking)​ for details on tracking with the ShipStation V2 API.

## Disconnecting Your Whistl Account

See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation V2 API.

> **NOTE:**
If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation V2 API.